import React from "react"
import '../App.less'
import imgUser from '../assets/image/img-user.png'

interface Props {
    userName: string
}
const SwitchPop: React.FC<Props> = ({ userName }) => {

    return <div className="pop">
        <div className="pop_body">
            <div className="login_loading">
                <img src={imgUser} className="login_avatar" />
                <div className="login_info">
                    <span className="login_info__username">{userName}</span>
                    <span className="login_status"><i className="login_status__icon"></i>正在登录中</span>
                </div>
                <a className="login_switch" onClick={() => window.location.reload()}>切换</a>
            </div>
        </div>
    </div>
}

export default React.memo(SwitchPop)